Subject: Re: What's cooking in git.git (Apr 2011, #01; Sun, 3)

From: Jakub Narebski <[email-masked]>
Date: Mon, 04 Apr 2011 02:16:26 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> Here are the topics that have been cooking.  Commits prefixed with '-' are
> only in 'pu' while commits prefixed with '+' are in 'next'.
> 
> Hopefully we will have 1.7.5-rc1 coming Wednesday.

> --------------------------------------------------
> [Cooking]

> * jh/gitweb-localtime (2011-03-23) 1 commit
>  - gitweb: javascript ability to adjust time based on timezone

I am slowly working on this, but for various reasons most probably
I wouldn't have time to finish it before 8th April at earliest.

The split series would look something like this:
 - gitweb: Split JavaScript for maintability, combining on build
 - gitweb: Introduce and use format_timestamp
 - gitweb.js: Cookies library
 - gitweb.js: Parse W3CDTF date (ISO-8601 variant), format in RFC-2822
 - gitweb: javascript ability to adjust time based on timezone

BTW I guess that 

  [PATCH (BUGFIX)] gitweb: Fix parsing of negative fractional timezones in JavaScript
  Message-Id: <[email-masked]>
  http://article.gmane.org/gmane.comp.version-control.git/170606

didn't made it into this "What's cooking..." because it was send too
late (2011-04-01 19:06:28 GMT), isn't it?

-- 
Jakub Narebski
Poland
ShadeHawk on #git